DESCRIPTION = "sysmocom OsmoBTS"
LICENSE = "AGPLv3"
LIC_FILES_CHKSUM="file://COPYING;md5=73f1eb20517c55bf9493b7dd6e480788"

SRC_URI = "git://git.osmocom.org/osmo-bts.git;protocol=git;branch=sysmocom/0.3.5-stable;name=osmobts;destsuffix=git \
           git://git.osmocom.org/openbsc;protocol=git;branch=master;name=openbsc;destsuffix=openbsc \
           file://gcc6-linking-fix.patch"
SRCREV_osmobts = "a4bd813081e788012c72f34d31150cdf02db307f"
SRCREV_openbsc = "57ee78078905c7499bd4e6857f8981d22badfcac"
PV = "0.4.3+git${SRCPV}"
PR = "r18.${META_TELEPHONY_OSMO_INC}"
S = "${WORKDIR}/git"

SRCREV_FORMAT = "openbsc-rosmobts"
DEPENDS = "libosmocore libosmo-abis femtobts-api gpsd"
RDEPENDS_${PN} += "coreutils sysmobts-firmware (>= 5.1)"
RCONFLICTS_${PN} = "sysmobts-firmware (< 5.1)"

EXTRA_OECONF += "--enable-sysmocom-bts"

inherit autotools update-rc.d pkgconfig


# Select the API version
inherit femtobts_api
CPPFLAGS += " ${BTS_HW_VERSION} "

do_configure_prepend() {
	ln -sf ../openbsc openbsc || true
}

do_compile_append_sysmobts-v2() {
	cd ${S}/contrib/sysmobts-calib/
	oe_runmake
}

do_install_append() {
	install -d ${D}${sysconfdir}/osmocom
	install -m 0660 ${S}/doc/examples/osmo-bts.cfg ${D}${sysconfdir}/osmocom
	install -m 0755 ${S}/contrib/respawn.sh ${D}${sysconfdir}/osmocom/
	install -m 0755 ${S}/contrib/respawn-only.sh ${D}${sysconfdir}/osmocom/
	install -m 0644 ${S}/contrib/screenrc-sysmobts ${D}${sysconfdir}/osmocom/
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${S}/contrib/sysmobts.init ${D}${sysconfdir}/init.d/sysmobts

	# Install systemd and enable on sysinit
	install -d ${D}${systemd_unitdir}/system/multi-user.target.wants/
	install -m 0644 ${S}/contrib/sysmobts.service ${D}${systemd_unitdir}/system/
	ln -sf ../sysmobts.service ${D}${systemd_unitdir}/system/multi-user.target.wants/

	# Future sysmobts-mgr handling
	install -m 0660 ${S}/doc/examples/sysmobts-mgr.cfg ${D}${sysconfdir}/osmocom
	install -m 0644 ${S}/contrib/sysmobts-mgr.service ${D}${systemd_unitdir}/system/
	ln -sf ../sysmobts-mgr.service ${D}${systemd_unitdir}/system/multi-user.target.wants/
}

do_install_append_sysmobts-v2() {
	install -m 0755 ${S}/contrib/sysmobts-calib/sysmobts-calib ${D}${bindir}/
}

CONFFILES_${PN} = "${sysconfdir}/osmocom/osmo-bts.cfg"
CONFFILES_${PN} += "${sysconfdir}/osmocom/sysmobts-mgr.cfg"
INITSCRIPT_PACKAGES = "${PN}"
INITSCRIPT_NAME_${PN} = "sysmobts"
INITSCRIPT_PARAMS_${PN} = "defaults 30 30"

PACKAGES =+ "osmo-bts-remote sysmobts-calib sysmobts-util"

FILES_${PN} += "${systemd_unitdir}"
FILES_osmo-bts-remote = " ${bindir}/sysmobts-remote "
FILES_sysmobts-calib = " ${bindir}/sysmobts-calib "
FILES_sysmobts-util = " ${bindir}/sysmobts-util "
