require openssl.inc

# For target side versions of openssl enable support for OCF Linux driver
# if they are available.
DEPENDS += "ocf-linux"

CFLAG += "-DHAVE_CRYPTODEV -DUSE_CRYPTODEV_DIGESTS"

PR = "${INC_PR}.2"

LIC_FILES_CHKSUM = "file://LICENSE;md5=f9a8f968107345e0b75aa8c2ecaa7ec8"

export DIRS = "crypto ssl apps engines"
export OE_LDFLAGS="${LDFLAGS}"

SRC_URI += "file://configure-targets.patch \
            file://shared-libs.patch \
            file://oe-ldflags.patch \
            file://engines-install-in-libdir-ssl.patch \
            file://openssl-fix-link.patch \
            file://debian/version-script.patch \
            file://debian/pic.patch \
            file://debian/c_rehash-compat.patch \
            file://debian/ca.patch \
            file://debian/make-targets.patch \
            file://debian/no-rpath.patch \
            file://debian/man-dir.patch \
            file://debian/man-section.patch \
            file://debian/no-symbolic.patch \
            file://debian/debian-targets.patch \
            file://openssl_fix_for_x32.patch \
            file://openssl-fix-doc.patch \
            file://fix-cipher-des-ede3-cfb1.patch \
            file://openssl-avoid-NULL-pointer-dereference-in-EVP_DigestInit_ex.patch \
            file://openssl-avoid-NULL-pointer-dereference-in-dh_pub_encode.patch \
            file://find.pl \
            file://0001-Fix-for-TLS-record-tampering-bug-CVE-2013-4353.patch \
            file://0001-Fix-DTLS-retransmission-from-previous-session.patch \
            file://0001-Use-version-in-SSL_METHOD-not-SSL-structure.patch \
            file://CVE-2014-0160.patch \
            file://openssl-1.0.1e-cve-2014-0195.patch \
            file://openssl-1.0.1e-cve-2014-0198.patch \
            file://openssl-1.0.1e-cve-2014-0221.patch \
            file://openssl-1.0.1e-cve-2014-0224.patch \
            file://openssl-1.0.1e-cve-2014-3470.patch \
            file://openssl-CVE-2010-5298.patch \
	    file://openssl-fix-CVE-2014-3566.patch \
	    file://openssl-fix-CVE-2014-3513.patch \
	    file://openssl-fix-CVE-2014-3567.patch \
	    file://openssl-fix-CVE-2014-3568.patch \
\
            file://rhel/openssl-1.0.1e-cve-2014-3505.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3506.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3507.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3508.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3509.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3510.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3511.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3570.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3571.patch \
            file://rhel/openssl-1.0.1e-cve-2014-3572.patch \
            file://rhel/openssl-1.0.1e-cve-2014-8275.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0204.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0205.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0206.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0209.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0286.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0287.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0288.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0289.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0292.patch \
            file://rhel/openssl-1.0.1e-cve-2015-0293.patch \
            file://rhel/openssl-1.0.1e-cve-2015-4000.patch \
            file://rhel/openssl-1.0.1e-cve-2014-8176.patch \
            file://rhel/openssl-1.0.1e-cve-2015-1789.patch \
            file://rhel/openssl-1.0.1e-cve-2015-1790.patch \
            file://rhel/openssl-1.0.1e-cve-2015-1791.patch \
            file://rhel/openssl-1.0.1e-cve-2015-1792.patch \
            file://rhel/openssl-1.0.1e-cve-2015-3194.patch \
            file://rhel/openssl-1.0.1e-cve-2015-3195.patch \
            file://rhel/openssl-1.0.1e-cve-2015-3196.patch \
            file://rhel/openssl-1.0.1e-cve-2015-7575.patch \
            file://rhel/openssl-1.0.1e-cve-2015-3197.patch \
            file://rhel/openssl-1.0.1e-disable-sslv2.patch \
            file://rhel/openssl-1.0.1e-cve-2016-0702.patch \
            file://rhel/openssl-1.0.1e-cve-2016-0705.patch \
            file://rhel/openssl-1.0.1e-cve-2016-0797.patch \
           "
#            file://rhel/openssl-1.0.1e-evp-wrap.patch -- looks like a feature
#            file://rhel/openssl-1.0.1e-backports.patch -- doesn't apply cleanly
#            file://rhel/openssl-1.0.1-beta2-padlock64.patch -- via?
#            file://rhel/openssl-1.0.1e-arm-use-elf-auxv-caps.patch  --feature
#            file://rhel/openssl-1.0.1e-bad-mac.patch  -- aes-ni patch
#            file://rhel/openssl-1.0.1e-trusted-first.patch -- feature
#            file://rhel/openssl-1.0.1e-cve-2013-6449.patch -- SSL_METHOD..
#            file://rhel/openssl-1.0.1e-cve-2013-6450.patch -- Fix-DTLS..
#            file://rhel/openssl-1.0.1e-cve-2013-4353.patch  -- Fix for TLS..
#            file://rhel/openssl-1.0.1e-ephemeral-key-size.patch -- feature
#            file://rhel/openssl-1.0.1e-cve-2014-0160.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2010-5298.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2014-0195.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2014-0198.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2014-0221.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2014-0224.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2014-3470.patch -- applied
#            file://rhel/openssl-1.0.1e-dtls-ecc-ext.patch -- bug fix.. no security
#            file://rhel/openssl-1.0.1e-doc-ciphersuites.patch --bugfix
#            file://rhel/openssl-1.0.1e-sn-case.patch -- bugfix
#            file://rhel/openssl-1.0.1e-ecdh-auto.patch -- feature
#            file://rhel/openssl-1.0.1e-fallback-scsv.patch -- feature
#            file://rhel/openssl-1.0.1e-copy-algo.patch -- bugfix?
#            file://rhel/openssl-1.0.1e-cc-reqs.patch -- bugfix
#            file://rhel/openssl-1.0.1e-cve-2014-3567.patch -- applied
#            file://rhel/openssl-1.0.1e-cve-2014-3513.patch -- applied

SRC_URI[md5sum] = "66bf6f10f060d561929de96f9dfe5b8c"
SRC_URI[sha256sum] = "f74f15e8c8ff11aa3d5bb5f276d202ec18d7246e95f961db76054199c69c1ae3"

PACKAGES =+ " \
	${PN}-engines \
	${PN}-engines-dbg \
	"

FILES_${PN}-engines = "${libdir}/ssl/engines/*.so ${libdir}/engines"
FILES_${PN}-engines-dbg = "${libdir}/ssl/engines/.debug"

PARALLEL_MAKE = ""
PARALLEL_MAKEINST = ""

do_configure_prepend() {
  cp ${WORKDIR}/find.pl ${S}/util/find.pl
}
